Home

# Library goog.locale.timeZoneDetection

Function Summary
| `detectTimeZone(string= opt_country, ?Date= opt_date) ⇒ string` Detects browser's time zone setting. If user's country is known, a better time zone choice could be guessed.
| `getFingerprint(?Date date) ⇒ number` Calculates time zone fingerprint by poking time zone offsets for 13 preselected time points. See {@link goog.locale.timeZoneDetection.TZ_POKE_POINTS_}
| `getTimeZoneList(string= opt_country, ?Date= opt_date) ⇒ ?Array.<string>` Returns an array of time zones that are consistent with user's platform setting. If user's country is given, only the time zone for that country is returned.